package test.org.seasar.extension.j2ee;

import org.seasar.extension.unit.S2TestCase;

public class JndiDataSourceTest extends S2TestCase {

	public JndiDataSourceTest(String arg0) {
		super(arg0);
	}

	public void testDataSource() throws Exception {
		assertNotNull("1", getDataSource());
		assertNotNull("2", getDataSource().getConnection());
	}

	public void setUp() {
		include("test/org/seasar/extension/j2ee/j2ee.dicon");
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(JndiDataSourceTest.class);
	}

}
